# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "json-schema"
  s.version = "2.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.8") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kenny Hoxworth"]
  s.date = "2017-02-07"
  s.email = "hoxworth@gmail.com"
  s.extra_rdoc_files = ["README.md", "LICENSE.md"]
  s.files = ["README.md", "LICENSE.md"]
  s.homepage = "http://github.com/ruby-json-schema/json-schema/tree/master"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "2.0.14.1"
  s.summary = "Ruby JSON Schema Validator"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["~> 5.0"])
      s.add_development_dependency(%q<webmock>, [">= 0"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_runtime_dependency(%q<addressable>, ["< 2.4"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, ["~> 5.0"])
      s.add_dependency(%q<webmock>, [">= 0"])
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<addressable>, ["< 2.4"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, ["~> 5.0"])
    s.add_dependency(%q<webmock>, [">= 0"])
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<addressable>, ["< 2.4"])
  end
end
